Index: /extensions/photoWidget/CHANGELOG
===================================================================
--- /extensions/photoWidget/CHANGELOG	(revision 19907)
+++ /extensions/photoWidget/CHANGELOG	(revision 19908)
@@ -1,2 +1,7 @@
+photoWidget 0.3.0 - 2013-01-06
+================================
+* Make plugin compatible with piwigo 2.4
+* Improve selection of albums (auto-complete)
+
 photoWidget 0.3.0 - 2011-05-22
 ================================
Index: /extensions/photoWidget/MANIFEST
===================================================================
--- /extensions/photoWidget/MANIFEST	(revision 19907)
+++ /extensions/photoWidget/MANIFEST	(revision 19908)
@@ -13,4 +13,7 @@
 photoWidget/language/en_UK/index.php
 photoWidget/language/en_UK/description.txt
+photoWidget/language/pt_PT/plugin.lang.php
+photoWidget/language/pt_PT/index.php
+photoWidget/language/pt_PT/description.txt
 photoWidget/language/de_DE/plugin.lang.php
 photoWidget/language/de_DE/index.php
@@ -22,4 +25,7 @@
 photoWidget/language/ru_RU/index.php
 photoWidget/language/ru_RU/description.txt
+photoWidget/language/da_DK/plugin.lang.php
+photoWidget/language/da_DK/index.php
+photoWidget/language/da_DK/description.txt
 photoWidget/language/tr_TR/plugin.lang.php
 photoWidget/language/tr_TR/index.php
@@ -31,10 +37,15 @@
 photoWidget/language/cs_CZ/index.php
 photoWidget/language/cs_CZ/description.txt
-photoWidget/language/no_NO/plugin.lang.php
-photoWidget/language/no_NO/index.php
-photoWidget/language/no_NO/description.txt
+photoWidget/language/nb_NO/plugin.lang.php
+photoWidget/language/nb_NO/index.php
+photoWidget/language/nb_NO/description.txt
 photoWidget/language/pl_PL/plugin.lang.php
 photoWidget/language/pl_PL/index.php
 photoWidget/language/pl_PL/description.txt
+photoWidget/language/uk_UA/plugin.lang.php
+photoWidget/language/uk_UA/index.php
+photoWidget/language/el_GR/plugin.lang.php
+photoWidget/language/el_GR/index.php
+photoWidget/language/el_GR/description.txt
 photoWidget/language/sk_SK/plugin.lang.php
 photoWidget/language/sk_SK/index.php
@@ -43,4 +54,7 @@
 photoWidget/language/it_IT/index.php
 photoWidget/language/it_IT/description.txt
+photoWidget/language/sv_SE/plugin.lang.php
+photoWidget/language/sv_SE/index.php
+photoWidget/language/sv_SE/description.txt
 photoWidget/language/hu_HU/plugin.lang.php
 photoWidget/language/hu_HU/index.php
Index: /extensions/photoWidget/admin.php
===================================================================
--- /extensions/photoWidget/admin.php	(revision 19907)
+++ /extensions/photoWidget/admin.php	(revision 19908)
@@ -3,9 +3,9 @@
 // | photoWidget  - a plugin for Piwigo                                    |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2010-2011 Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2010-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by the Free Software Foundation                             |
 // |                                                                       |
 // | This program is distributed in the hope that it will be useful, but   |
@@ -17,5 +17,5 @@
 // | along with this program; if not, write to the Free Software           |
 // | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
-// | MA 02110-1301 USA.                                                    |
+// | MA 02110-1301 USA                                                     |
 // +-----------------------------------------------------------------------+
 
@@ -80,13 +80,11 @@
 
 $query = '
-SELECT id,name
+SELECT id,name,global_rank,uppercats
   FROM '.CATEGORIES_TABLE;
 
-$all_categories = simple_hash_from_query($query, 'id', 'name');
+display_select_cat_wrapper($query, $me->pw_categories, 'all_categories');
 
 $template->set_filenames(array('plugin_admin_content' => PW_TEMPLATE . '/admin.tpl'));
 $template->assign('PW_CAT_CHOICES', array(1 => l10n('Yes'), 0 => l10n('No')));
-$template->assign('ALL_CATEGORIES', $all_categories); 
-$template->assign('PW_CATEGORIES', $me->pw_categories);
 $template->assign('PW_ALL_CATEGORIES', $me->pw_all_categories);
 $template->assign('PWG_PHOTO_WIDGET_PLUGIN_CSS', PW_CSS);
Index: /extensions/photoWidget/css/admin.css
===================================================================
--- /extensions/photoWidget/css/admin.css	(revision 19907)
+++ /extensions/photoWidget/css/admin.css	(revision 19908)
@@ -32,4 +32,5 @@
 p.pw-categories select {
   float: left;
+  width: 700px;
 }
 
Index: /extensions/photoWidget/default_values.inc.php
===================================================================
--- /extensions/photoWidget/default_values.inc.php	(revision 19907)
+++ /extensions/photoWidget/default_values.inc.php	(revision 19908)
@@ -3,9 +3,9 @@
 // | photoWidget  - a plugin for Piwigo                                    |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2010 Nicolas Roudaire             http://www.nikrou.net  |
+// | Copyright(C) 2010-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by the Free Software Foundation                             |
 // |                                                                       |
 // | This program is distributed in the hope that it will be useful, but   |
@@ -17,5 +17,5 @@
 // | along with this program; if not, write to the Free Software           |
 // | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
-// | MA 02110-1301 USA.                                                    |
+// | MA 02110-1301 USA                                                     |
 // +-----------------------------------------------------------------------+
 
Index: /extensions/photoWidget/include/photoWidgetConfig.class.php
===================================================================
--- /extensions/photoWidget/include/photoWidgetConfig.class.php	(revision 19907)
+++ /extensions/photoWidget/include/photoWidgetConfig.class.php	(revision 19908)
@@ -3,9 +3,9 @@
 // | photoWidget  - a plugin for Piwigo                                    |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2010 Nicolas Roudaire             http://www.nikrou.net  |
+// | Copyright(C) 2010-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by the Free Software Foundation                             |
 // |                                                                       |
 // | This program is distributed in the hope that it will be useful, but   |
@@ -17,5 +17,5 @@
 // | along with this program; if not, write to the Free Software           |
 // | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
-// | MA 02110-1301 USA.                                                    |
+// | MA 02110-1301 USA                                                     |
 // +-----------------------------------------------------------------------+
 
@@ -53,5 +53,5 @@
 
   private function get_config_file_dir() {
-    return $GLOBALS['conf']['local_data_dir'].'/plugins/';
+    return $GLOBALS['conf']['data_location'].'/plugins/';
   }
 
Index: /extensions/photoWidget/include/photoWidgetContent.class.php
===================================================================
--- /extensions/photoWidget/include/photoWidgetContent.class.php	(revision 19907)
+++ /extensions/photoWidget/include/photoWidgetContent.class.php	(revision 19908)
@@ -3,9 +3,9 @@
 // | photoWidget  - a plugin for Piwigo                                    |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2010-2011 Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2010-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by the Free Software Foundation                             |
 // |                                                                       |
 // | This program is distributed in the hope that it will be useful, but   |
@@ -17,5 +17,5 @@
 // | along with this program; if not, write to the Free Software           |
 // | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
-// | MA 02110-1301 USA.                                                    |
+// | MA 02110-1301 USA                                                     |
 // +-----------------------------------------------------------------------+
 
Index: /extensions/photoWidget/init.php
===================================================================
--- /extensions/photoWidget/init.php	(revision 19907)
+++ /extensions/photoWidget/init.php	(revision 19908)
@@ -3,9 +3,9 @@
 // | photoWidget  - a plugin for Piwigo                                    |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2010 Nicolas Roudaire             http://www.nikrou.net  |
+// | Copyright(C) 2010-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by the Free Software Foundation                             |
 // |                                                                       |
 // | This program is distributed in the hope that it will be useful, but   |
@@ -17,5 +17,5 @@
 // | along with this program; if not, write to the Free Software           |
 // | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
-// | MA 02110-1301 USA.                                                    |
+// | MA 02110-1301 USA                                                     |
 // +-----------------------------------------------------------------------+
 
Index: /extensions/photoWidget/language/ar_SA/index.php
===================================================================
--- /extensions/photoWidget/language/ar_SA/index.php	(revision 19907)
+++ /extensions/photoWidget/language/ar_SA/index.php	(revision 19908)
@@ -1,11 +1,11 @@
 <?php
 // +-----------------------------------------------------------------------+
-// | pwgPhotoWidget  - a plugin for Piwigo                                 |
+// | photoWidget  - a plugin for Piwigo                                    |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2010-2011 Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2010-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by the Free Software Foundation                             |
 // |                                                                       |
 // | This program is distributed in the hope that it will be useful, but   |
@@ -17,5 +17,5 @@
 // | along with this program; if not, write to the Free Software           |
 // | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
-// | MA 02110-1301 USA.                                                    |
+// | MA 02110-1301 USA                                                     |
 // +-----------------------------------------------------------------------+
 
Index: /extensions/photoWidget/language/ar_SA/plugin.lang.php
===================================================================
--- /extensions/photoWidget/language/ar_SA/plugin.lang.php	(revision 19907)
+++ /extensions/photoWidget/language/ar_SA/plugin.lang.php	(revision 19908)
@@ -3,9 +3,9 @@
 // | photoWidget  - a plugin for Piwigo                                    |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2010 Nicolas Roudaire             http://www.nikrou.net  |
+// | Copyright(C) 2010-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by the Free Software Foundation                             |
 // |                                                                       |
 // | This program is distributed in the hope that it will be useful, but   |
@@ -17,5 +17,5 @@
 // | along with this program; if not, write to the Free Software           |
 // | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
-// | MA 02110-1301 USA.                                                    |
+// | MA 02110-1301 USA                                                     |
 // +-----------------------------------------------------------------------+
 
Index: /extensions/photoWidget/language/cs_CZ/index.php
===================================================================
--- /extensions/photoWidget/language/cs_CZ/index.php	(revision 19907)
+++ /extensions/photoWidget/language/cs_CZ/index.php	(revision 19908)
@@ -1,11 +1,11 @@
 <?php
 // +-----------------------------------------------------------------------+
-// | pwgPhotoWidget  - a plugin for Piwigo                                 |
+// | photoWidget  - a plugin for Piwigo                                    |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2010-2011 Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2010-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by the Free Software Foundation                             |
 // |                                                                       |
 // | This program is distributed in the hope that it will be useful, but   |
@@ -17,5 +17,5 @@
 // | along with this program; if not, write to the Free Software           |
 // | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
-// | MA 02110-1301 USA.                                                    |
+// | MA 02110-1301 USA                                                     |
 // +-----------------------------------------------------------------------+
 
Index: /extensions/photoWidget/language/cs_CZ/plugin.lang.php
===================================================================
--- /extensions/photoWidget/language/cs_CZ/plugin.lang.php	(revision 19907)
+++ /extensions/photoWidget/language/cs_CZ/plugin.lang.php	(revision 19908)
@@ -3,9 +3,9 @@
 // | photoWidget  - a plugin for Piwigo                                    |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2010 Nicolas Roudaire             http://www.nikrou.net  |
+// | Copyright(C) 2010-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by the Free Software Foundation                             |
 // |                                                                       |
 // | This program is distributed in the hope that it will be useful, but   |
@@ -17,5 +17,5 @@
 // | along with this program; if not, write to the Free Software           |
 // | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
-// | MA 02110-1301 USA.                                                    |
+// | MA 02110-1301 USA                                                     |
 // +-----------------------------------------------------------------------+
 
Index: /extensions/photoWidget/language/da_DK/index.php
===================================================================
--- /extensions/photoWidget/language/da_DK/index.php	(revision 19907)
+++ /extensions/photoWidget/language/da_DK/index.php	(revision 19908)
@@ -1,3 +1,24 @@
 <?php
+// +-----------------------------------------------------------------------+
+// | photoWidget  - a plugin for Piwigo                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2010-2013 Nicolas Roudaire        http://www.nikrou.net  |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by the Free Software Foundation                             |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA                                                     |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
 $url = '../';
 header( 'Request-URI: '.$url );
Index: /extensions/photoWidget/language/da_DK/plugin.lang.php
===================================================================
--- /extensions/photoWidget/language/da_DK/plugin.lang.php	(revision 19907)
+++ /extensions/photoWidget/language/da_DK/plugin.lang.php	(revision 19908)
@@ -1,13 +1,11 @@
 <?php
 // +-----------------------------------------------------------------------+
-// | Piwigo - a PHP based photo gallery                                    |
+// | photoWidget  - a plugin for Piwigo                                    |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
-// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
-// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// | Copyright(C) 2010-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by the Free Software Foundation                             |
 // |                                                                       |
 // | This program is distributed in the hope that it will be useful, but   |
@@ -18,7 +16,8 @@
 // | You should have received a copy of the GNU General Public License     |
 // | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA                                                     |
 // +-----------------------------------------------------------------------+
+
 $lang['one category'] = 'et album';
 $lang['severals categories'] = 'flere albummer';
Index: /extensions/photoWidget/language/de_DE/index.php
===================================================================
--- /extensions/photoWidget/language/de_DE/index.php	(revision 19907)
+++ /extensions/photoWidget/language/de_DE/index.php	(revision 19908)
@@ -1,11 +1,11 @@
 <?php
 // +-----------------------------------------------------------------------+
-// | pwgPhotoWidget  - a plugin for Piwigo                                 |
+// | photoWidget  - a plugin for Piwigo                                    |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2010-2011 Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2010-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by the Free Software Foundation                             |
 // |                                                                       |
 // | This program is distributed in the hope that it will be useful, but   |
@@ -17,5 +17,5 @@
 // | along with this program; if not, write to the Free Software           |
 // | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
-// | MA 02110-1301 USA.                                                    |
+// | MA 02110-1301 USA                                                     |
 // +-----------------------------------------------------------------------+
 
Index: /extensions/photoWidget/language/de_DE/plugin.lang.php
===================================================================
--- /extensions/photoWidget/language/de_DE/plugin.lang.php	(revision 19907)
+++ /extensions/photoWidget/language/de_DE/plugin.lang.php	(revision 19908)
@@ -3,9 +3,9 @@
 // | photoWidget  - a plugin for Piwigo                                    |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2010 Nicolas Roudaire             http://www.nikrou.net  |
+// | Copyright(C) 2010-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by the Free Software Foundation                             |
 // |                                                                       |
 // | This program is distributed in the hope that it will be useful, but   |
@@ -17,5 +17,5 @@
 // | along with this program; if not, write to the Free Software           |
 // | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
-// | MA 02110-1301 USA.                                                    |
+// | MA 02110-1301 USA                                                     |
 // +-----------------------------------------------------------------------+
 
Index: /extensions/photoWidget/language/el_GR/index.php
===================================================================
--- /extensions/photoWidget/language/el_GR/index.php	(revision 19907)
+++ /extensions/photoWidget/language/el_GR/index.php	(revision 19908)
@@ -1,3 +1,24 @@
 <?php
+// +-----------------------------------------------------------------------+
+// | photoWidget  - a plugin for Piwigo                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2010-2013 Nicolas Roudaire        http://www.nikrou.net  |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by the Free Software Foundation                             |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA                                                     |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
 $url = '../';
 header( 'Request-URI: '.$url );
Index: /extensions/photoWidget/language/el_GR/plugin.lang.php
===================================================================
--- /extensions/photoWidget/language/el_GR/plugin.lang.php	(revision 19907)
+++ /extensions/photoWidget/language/el_GR/plugin.lang.php	(revision 19908)
@@ -1,13 +1,11 @@
 <?php
 // +-----------------------------------------------------------------------+
-// | Piwigo - a PHP based photo gallery                                    |
+// | photoWidget  - a plugin for Piwigo                                    |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
-// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
-// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// | Copyright(C) 2010-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by the Free Software Foundation                             |
 // |                                                                       |
 // | This program is distributed in the hope that it will be useful, but   |
@@ -18,7 +16,8 @@
 // | You should have received a copy of the GNU General Public License     |
 // | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA                                                     |
 // +-----------------------------------------------------------------------+
+
 $lang['All categories'] = 'Όλα τα λευκώματα';
 $lang['Animation background color'] = 'Χρώμα του φόντου στο Animation';
Index: /extensions/photoWidget/language/en_UK/index.php
===================================================================
--- /extensions/photoWidget/language/en_UK/index.php	(revision 19907)
+++ /extensions/photoWidget/language/en_UK/index.php	(revision 19908)
@@ -1,11 +1,11 @@
 <?php
 // +-----------------------------------------------------------------------+
-// | pwgPhotoWidget  - a plugin for Piwigo                                 |
+// | photoWidget  - a plugin for Piwigo                                    |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2010-2011 Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2010-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by the Free Software Foundation                             |
 // |                                                                       |
 // | This program is distributed in the hope that it will be useful, but   |
@@ -17,5 +17,5 @@
 // | along with this program; if not, write to the Free Software           |
 // | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
-// | MA 02110-1301 USA.                                                    |
+// | MA 02110-1301 USA                                                     |
 // +-----------------------------------------------------------------------+
 
Index: /extensions/photoWidget/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/photoWidget/language/en_UK/plugin.lang.php	(revision 19907)
+++ /extensions/photoWidget/language/en_UK/plugin.lang.php	(revision 19908)
@@ -3,9 +3,9 @@
 // | photoWidget  - a plugin for Piwigo                                    |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2010-2011 Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2010-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by the Free Software Foundation                             |
 // |                                                                       |
 // | This program is distributed in the hope that it will be useful, but   |
@@ -17,5 +17,5 @@
 // | along with this program; if not, write to the Free Software           |
 // | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
-// | MA 02110-1301 USA.                                                    |
+// | MA 02110-1301 USA                                                     |
 // +-----------------------------------------------------------------------+
 
Index: /extensions/photoWidget/language/es_ES/index.php
===================================================================
--- /extensions/photoWidget/language/es_ES/index.php	(revision 19907)
+++ /extensions/photoWidget/language/es_ES/index.php	(revision 19908)
@@ -1,11 +1,11 @@
 <?php
 // +-----------------------------------------------------------------------+
-// | pwgPhotoWidget  - a plugin for Piwigo                                 |
+// | photoWidget  - a plugin for Piwigo                                    |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2010-2011 Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2010-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by the Free Software Foundation                             |
 // |                                                                       |
 // | This program is distributed in the hope that it will be useful, but   |
@@ -17,5 +17,5 @@
 // | along with this program; if not, write to the Free Software           |
 // | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
-// | MA 02110-1301 USA.                                                    |
+// | MA 02110-1301 USA                                                     |
 // +-----------------------------------------------------------------------+
 
Index: /extensions/photoWidget/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/photoWidget/language/es_ES/plugin.lang.php	(revision 19907)
+++ /extensions/photoWidget/language/es_ES/plugin.lang.php	(revision 19908)
@@ -3,10 +3,9 @@
 // | photoWidget  - a plugin for Piwigo                                    |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2010 Nicolas Roudaire             http://www.nikrou.net  |
-// | Copyright(C) 2010 ddtddt                                              |
+// | Copyright(C) 2010-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by the Free Software Foundation                             |
 // |                                                                       |
 // | This program is distributed in the hope that it will be useful, but   |
@@ -18,5 +17,5 @@
 // | along with this program; if not, write to the Free Software           |
 // | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
-// | MA 02110-1301 USA.                                                    |
+// | MA 02110-1301 USA                                                     |
 // +-----------------------------------------------------------------------+
 
Index: /extensions/photoWidget/language/fr_FR/index.php
===================================================================
--- /extensions/photoWidget/language/fr_FR/index.php	(revision 19907)
+++ /extensions/photoWidget/language/fr_FR/index.php	(revision 19908)
@@ -1,11 +1,11 @@
 <?php
 // +-----------------------------------------------------------------------+
-// | pwgPhotoWidget  - a plugin for Piwigo                                 |
+// | photoWidget  - a plugin for Piwigo                                    |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2010-2011 Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2010-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by the Free Software Foundation                             |
 // |                                                                       |
 // | This program is distributed in the hope that it will be useful, but   |
@@ -17,5 +17,5 @@
 // | along with this program; if not, write to the Free Software           |
 // | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
-// | MA 02110-1301 USA.                                                    |
+// | MA 02110-1301 USA                                                     |
 // +-----------------------------------------------------------------------+
 
Index: /extensions/photoWidget/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/photoWidget/language/fr_FR/plugin.lang.php	(revision 19907)
+++ /extensions/photoWidget/language/fr_FR/plugin.lang.php	(revision 19908)
@@ -3,9 +3,9 @@
 // | photoWidget  - a plugin for Piwigo                                    |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2010-2011 Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2010-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by the Free Software Foundation                             |
 // |                                                                       |
 // | This program is distributed in the hope that it will be useful, but   |
@@ -17,5 +17,5 @@
 // | along with this program; if not, write to the Free Software           |
 // | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
-// | MA 02110-1301 USA.                                                    |
+// | MA 02110-1301 USA                                                     |
 // +-----------------------------------------------------------------------+
 
Index: /extensions/photoWidget/language/hu_HU/index.php
===================================================================
--- /extensions/photoWidget/language/hu_HU/index.php	(revision 19907)
+++ /extensions/photoWidget/language/hu_HU/index.php	(revision 19908)
@@ -1,11 +1,11 @@
 <?php
 // +-----------------------------------------------------------------------+
-// | pwgPhotoWidget  - a plugin for Piwigo                                 |
+// | photoWidget  - a plugin for Piwigo                                    |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2010-2011 Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2010-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by the Free Software Foundation                             |
 // |                                                                       |
 // | This program is distributed in the hope that it will be useful, but   |
@@ -17,5 +17,5 @@
 // | along with this program; if not, write to the Free Software           |
 // | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
-// | MA 02110-1301 USA.                                                    |
+// | MA 02110-1301 USA                                                     |
 // +-----------------------------------------------------------------------+
 
Index: /extensions/photoWidget/language/hu_HU/plugin.lang.php
===================================================================
--- /extensions/photoWidget/language/hu_HU/plugin.lang.php	(revision 19907)
+++ /extensions/photoWidget/language/hu_HU/plugin.lang.php	(revision 19908)
@@ -3,9 +3,9 @@
 // | photoWidget  - a plugin for Piwigo                                    |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2010 Nicolas Roudaire             http://www.nikrou.net  |
+// | Copyright(C) 2010-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by the Free Software Foundation                             |
 // |                                                                       |
 // | This program is distributed in the hope that it will be useful, but   |
@@ -17,5 +17,5 @@
 // | along with this program; if not, write to the Free Software           |
 // | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
-// | MA 02110-1301 USA.                                                    |
+// | MA 02110-1301 USA                                                     |
 // +-----------------------------------------------------------------------+
 
Index: /extensions/photoWidget/language/it_IT/index.php
===================================================================
--- /extensions/photoWidget/language/it_IT/index.php	(revision 19907)
+++ /extensions/photoWidget/language/it_IT/index.php	(revision 19908)
@@ -1,11 +1,11 @@
 <?php
 // +-----------------------------------------------------------------------+
-// | pwgPhotoWidget  - a plugin for Piwigo                                 |
+// | photoWidget  - a plugin for Piwigo                                    |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2010-2011 Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2010-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by the Free Software Foundation                             |
 // |                                                                       |
 // | This program is distributed in the hope that it will be useful, but   |
@@ -17,5 +17,5 @@
 // | along with this program; if not, write to the Free Software           |
 // | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
-// | MA 02110-1301 USA.                                                    |
+// | MA 02110-1301 USA                                                     |
 // +-----------------------------------------------------------------------+
 
Index: /extensions/photoWidget/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/photoWidget/language/it_IT/plugin.lang.php	(revision 19907)
+++ /extensions/photoWidget/language/it_IT/plugin.lang.php	(revision 19908)
@@ -3,9 +3,9 @@
 // | photoWidget  - a plugin for Piwigo                                    |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2010-2011 Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2010-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by the Free Software Foundation                             |
 // |                                                                       |
 // | This program is distributed in the hope that it will be useful, but   |
@@ -17,5 +17,5 @@
 // | along with this program; if not, write to the Free Software           |
 // | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
-// | MA 02110-1301 USA.                                                    |
+// | MA 02110-1301 USA                                                     |
 // +-----------------------------------------------------------------------+
 
Index: /extensions/photoWidget/language/lv_LV/index.php
===================================================================
--- /extensions/photoWidget/language/lv_LV/index.php	(revision 19907)
+++ /extensions/photoWidget/language/lv_LV/index.php	(revision 19908)
@@ -1,11 +1,11 @@
 <?php
 // +-----------------------------------------------------------------------+
-// | pwgPhotoWidget  - a plugin for Piwigo                                 |
+// | photoWidget  - a plugin for Piwigo                                    |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2010-2011 Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2010-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by the Free Software Foundation                             |
 // |                                                                       |
 // | This program is distributed in the hope that it will be useful, but   |
@@ -17,5 +17,5 @@
 // | along with this program; if not, write to the Free Software           |
 // | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
-// | MA 02110-1301 USA.                                                    |
+// | MA 02110-1301 USA                                                     |
 // +-----------------------------------------------------------------------+
 
Index: /extensions/photoWidget/language/lv_LV/plugin.lang.php
===================================================================
--- /extensions/photoWidget/language/lv_LV/plugin.lang.php	(revision 19907)
+++ /extensions/photoWidget/language/lv_LV/plugin.lang.php	(revision 19908)
@@ -3,9 +3,9 @@
 // | photoWidget  - a plugin for Piwigo                                    |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2010 Nicolas Roudaire             http://www.nikrou.net  |
+// | Copyright(C) 2010-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by the Free Software Foundation                             |
 // |                                                                       |
 // | This program is distributed in the hope that it will be useful, but   |
@@ -17,7 +17,6 @@
 // | along with this program; if not, write to the Free Software           |
 // | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
-// | MA 02110-1301 USA.                                                    |
+// | MA 02110-1301 USA                                                     |
 // +-----------------------------------------------------------------------+
-
 
 $lang['That plugin display pictures using a flash movie that rotates them in 3D. It works like regulars categories but in a more amazing and exciting way.'] = 'Ar šī spraudņa palīdzību iespējam parādīt attēlus izmantojot animāciju un 3D rotāciju. Tas darbojas kā ierarasto kategoriju gadījumā, bet interesantāk un aizraujošāk.';
Index: /extensions/photoWidget/language/nb_NO/index.php
===================================================================
--- /extensions/photoWidget/language/nb_NO/index.php	(revision 19907)
+++ /extensions/photoWidget/language/nb_NO/index.php	(revision 19908)
@@ -1,11 +1,11 @@
 <?php
 // +-----------------------------------------------------------------------+
-// | pwgPhotoWidget  - a plugin for Piwigo                                 |
+// | photoWidget  - a plugin for Piwigo                                    |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2010-2011 Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2010-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by the Free Software Foundation                             |
 // |                                                                       |
 // | This program is distributed in the hope that it will be useful, but   |
@@ -17,5 +17,5 @@
 // | along with this program; if not, write to the Free Software           |
 // | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
-// | MA 02110-1301 USA.                                                    |
+// | MA 02110-1301 USA                                                     |
 // +-----------------------------------------------------------------------+
 
Index: /extensions/photoWidget/language/nb_NO/plugin.lang.php
===================================================================
--- /extensions/photoWidget/language/nb_NO/plugin.lang.php	(revision 19907)
+++ /extensions/photoWidget/language/nb_NO/plugin.lang.php	(revision 19908)
@@ -3,9 +3,9 @@
 // | photoWidget  - a plugin for Piwigo                                    |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2010 Nicolas Roudaire             http://www.nikrou.net  |
+// | Copyright(C) 2010-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by the Free Software Foundation                             |
 // |                                                                       |
 // | This program is distributed in the hope that it will be useful, but   |
@@ -17,5 +17,5 @@
 // | along with this program; if not, write to the Free Software           |
 // | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
-// | MA 02110-1301 USA.                                                    |
+// | MA 02110-1301 USA                                                     |
 // +-----------------------------------------------------------------------+
 
Index: /extensions/photoWidget/language/nl_NL/index.php
===================================================================
--- /extensions/photoWidget/language/nl_NL/index.php	(revision 19907)
+++ /extensions/photoWidget/language/nl_NL/index.php	(revision 19908)
@@ -1,11 +1,11 @@
 <?php
 // +-----------------------------------------------------------------------+
-// | pwgPhotoWidget  - a plugin for Piwigo                                 |
+// | photoWidget  - a plugin for Piwigo                                    |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2010-2011 Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2010-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by the Free Software Foundation                             |
 // |                                                                       |
 // | This program is distributed in the hope that it will be useful, but   |
@@ -17,5 +17,5 @@
 // | along with this program; if not, write to the Free Software           |
 // | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
-// | MA 02110-1301 USA.                                                    |
+// | MA 02110-1301 USA                                                     |
 // +-----------------------------------------------------------------------+
 
Index: /extensions/photoWidget/language/nl_NL/plugin.lang.php
===================================================================
--- /extensions/photoWidget/language/nl_NL/plugin.lang.php	(revision 19907)
+++ /extensions/photoWidget/language/nl_NL/plugin.lang.php	(revision 19908)
@@ -3,9 +3,9 @@
 // | photoWidget  - a plugin for Piwigo                                    |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2010 Nicolas Roudaire             http://www.nikrou.net  |
+// | Copyright(C) 2010-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by the Free Software Foundation                             |
 // |                                                                       |
 // | This program is distributed in the hope that it will be useful, but   |
@@ -17,9 +17,8 @@
 // | along with this program; if not, write to the Free Software           |
 // | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
-// | MA 02110-1301 USA.                                                    |
+// | MA 02110-1301 USA                                                     |
 // +-----------------------------------------------------------------------+
 
 // translate by magnific0
-
 $lang['That plugin display pictures using a flash movie that rotates them in 3D. It works like regulars categories but in a more amazing and exciting way.'] = 'De plugin laat de foto\'s zien in 3D rond draaien met behulp van een flashfilmpje. Het werkt precies hetzelfde als normale categoriën, maar dan mooier en beter :).';
 $lang['You can choose that mode for displaying one, severals or all categories'] = 'Je kan een modus kiezen voor het weergeven van één, meerdere of alle categoriën.';
@@ -44,4 +43,3 @@
 $lang['Yes'] = 'Ja';
 $lang['You must choose at least one category'] = 'U moet minstens één categorie kiezen.';
-
 ?>
Index: /extensions/photoWidget/language/pl_PL/index.php
===================================================================
--- /extensions/photoWidget/language/pl_PL/index.php	(revision 19907)
+++ /extensions/photoWidget/language/pl_PL/index.php	(revision 19908)
@@ -1,11 +1,11 @@
 <?php
 // +-----------------------------------------------------------------------+
-// | pwgPhotoWidget  - a plugin for Piwigo                                 |
+// | photoWidget  - a plugin for Piwigo                                    |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2010-2011 Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2010-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by the Free Software Foundation                             |
 // |                                                                       |
 // | This program is distributed in the hope that it will be useful, but   |
@@ -17,5 +17,5 @@
 // | along with this program; if not, write to the Free Software           |
 // | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
-// | MA 02110-1301 USA.                                                    |
+// | MA 02110-1301 USA                                                     |
 // +-----------------------------------------------------------------------+
 
Index: /extensions/photoWidget/language/pl_PL/plugin.lang.php
===================================================================
--- /extensions/photoWidget/language/pl_PL/plugin.lang.php	(revision 19907)
+++ /extensions/photoWidget/language/pl_PL/plugin.lang.php	(revision 19908)
@@ -3,9 +3,9 @@
 // | photoWidget  - a plugin for Piwigo                                    |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2010 Nicolas Roudaire             http://www.nikrou.net  |
+// | Copyright(C) 2010-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by the Free Software Foundation                             |
 // |                                                                       |
 // | This program is distributed in the hope that it will be useful, but   |
@@ -17,5 +17,5 @@
 // | along with this program; if not, write to the Free Software           |
 // | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
-// | MA 02110-1301 USA.                                                    |
+// | MA 02110-1301 USA                                                     |
 // +-----------------------------------------------------------------------+
 
Index: /extensions/photoWidget/language/pt_PT/index.php
===================================================================
--- /extensions/photoWidget/language/pt_PT/index.php	(revision 19907)
+++ /extensions/photoWidget/language/pt_PT/index.php	(revision 19908)
@@ -1,3 +1,24 @@
 <?php
+// +-----------------------------------------------------------------------+
+// | photoWidget  - a plugin for Piwigo                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2010-2013 Nicolas Roudaire        http://www.nikrou.net  |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by the Free Software Foundation                             |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA                                                     |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
 $url = '../';
 header( 'Request-URI: '.$url );
Index: /extensions/photoWidget/language/pt_PT/plugin.lang.php
===================================================================
--- /extensions/photoWidget/language/pt_PT/plugin.lang.php	(revision 19907)
+++ /extensions/photoWidget/language/pt_PT/plugin.lang.php	(revision 19908)
@@ -1,13 +1,11 @@
 <?php
 // +-----------------------------------------------------------------------+
-// | Piwigo - a PHP based photo gallery                                    |
+// | photoWidget  - a plugin for Piwigo                                    |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
-// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
-// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// | Copyright(C) 2010-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by the Free Software Foundation                             |
 // |                                                                       |
 // | This program is distributed in the hope that it will be useful, but   |
@@ -18,7 +16,8 @@
 // | You should have received a copy of the GNU General Public License     |
 // | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA                                                     |
 // +-----------------------------------------------------------------------+
+
 $lang['All categories'] = 'Álbuns';
 $lang['Animation background color'] = 'Cor de fundo da animação ';
Index: /extensions/photoWidget/language/ru_RU/index.php
===================================================================
--- /extensions/photoWidget/language/ru_RU/index.php	(revision 19907)
+++ /extensions/photoWidget/language/ru_RU/index.php	(revision 19908)
@@ -1,11 +1,11 @@
 <?php
 // +-----------------------------------------------------------------------+
-// | pwgPhotoWidget  - a plugin for Piwigo                                 |
+// | photoWidget  - a plugin for Piwigo                                    |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2010-2011 Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2010-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by the Free Software Foundation                             |
 // |                                                                       |
 // | This program is distributed in the hope that it will be useful, but   |
@@ -17,5 +17,5 @@
 // | along with this program; if not, write to the Free Software           |
 // | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
-// | MA 02110-1301 USA.                                                    |
+// | MA 02110-1301 USA                                                     |
 // +-----------------------------------------------------------------------+
 
Index: /extensions/photoWidget/language/ru_RU/plugin.lang.php
===================================================================
--- /extensions/photoWidget/language/ru_RU/plugin.lang.php	(revision 19907)
+++ /extensions/photoWidget/language/ru_RU/plugin.lang.php	(revision 19908)
@@ -3,9 +3,9 @@
 // | photoWidget  - a plugin for Piwigo                                    |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2010 Nicolas Roudaire             http://www.nikrou.net  |
+// | Copyright(C) 2010-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by the Free Software Foundation                             |
 // |                                                                       |
 // | This program is distributed in the hope that it will be useful, but   |
@@ -17,5 +17,5 @@
 // | along with this program; if not, write to the Free Software           |
 // | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
-// | MA 02110-1301 USA.                                                    |
+// | MA 02110-1301 USA                                                     |
 // +-----------------------------------------------------------------------+
 
Index: /extensions/photoWidget/language/sk_SK/index.php
===================================================================
--- /extensions/photoWidget/language/sk_SK/index.php	(revision 19907)
+++ /extensions/photoWidget/language/sk_SK/index.php	(revision 19908)
@@ -1,11 +1,11 @@
 <?php
 // +-----------------------------------------------------------------------+
-// | pwgPhotoWidget  - a plugin for Piwigo                                 |
+// | photoWidget  - a plugin for Piwigo                                    |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2010-2011 Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2010-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by the Free Software Foundation                             |
 // |                                                                       |
 // | This program is distributed in the hope that it will be useful, but   |
@@ -17,5 +17,5 @@
 // | along with this program; if not, write to the Free Software           |
 // | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
-// | MA 02110-1301 USA.                                                    |
+// | MA 02110-1301 USA                                                     |
 // +-----------------------------------------------------------------------+
 
Index: /extensions/photoWidget/language/sk_SK/plugin.lang.php
===================================================================
--- /extensions/photoWidget/language/sk_SK/plugin.lang.php	(revision 19907)
+++ /extensions/photoWidget/language/sk_SK/plugin.lang.php	(revision 19908)
@@ -3,9 +3,9 @@
 // | photoWidget  - a plugin for Piwigo                                    |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2010 Nicolas Roudaire             http://www.nikrou.net  |
+// | Copyright(C) 2010-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by the Free Software Foundation                             |
 // |                                                                       |
 // | This program is distributed in the hope that it will be useful, but   |
@@ -17,5 +17,5 @@
 // | along with this program; if not, write to the Free Software           |
 // | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
-// | MA 02110-1301 USA.                                                    |
+// | MA 02110-1301 USA                                                     |
 // +-----------------------------------------------------------------------+
 
Index: /extensions/photoWidget/language/sv_SE/index.php
===================================================================
--- /extensions/photoWidget/language/sv_SE/index.php	(revision 19907)
+++ /extensions/photoWidget/language/sv_SE/index.php	(revision 19908)
@@ -1,11 +1,11 @@
 <?php
 // +-----------------------------------------------------------------------+
-// | pwgPhotoWidget  - a plugin for Piwigo                                 |
+// | photoWidget  - a plugin for Piwigo                                    |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2010-2011 Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2010-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by the Free Software Foundation                             |
 // |                                                                       |
 // | This program is distributed in the hope that it will be useful, but   |
@@ -17,5 +17,5 @@
 // | along with this program; if not, write to the Free Software           |
 // | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
-// | MA 02110-1301 USA.                                                    |
+// | MA 02110-1301 USA                                                     |
 // +-----------------------------------------------------------------------+
 
Index: /extensions/photoWidget/language/sv_SE/plugin.lang.php
===================================================================
--- /extensions/photoWidget/language/sv_SE/plugin.lang.php	(revision 19907)
+++ /extensions/photoWidget/language/sv_SE/plugin.lang.php	(revision 19908)
@@ -3,9 +3,9 @@
 // | photoWidget  - a plugin for Piwigo                                    |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2010-2011 Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2010-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by the Free Software Foundation                             |
 // |                                                                       |
 // | This program is distributed in the hope that it will be useful, but   |
@@ -17,5 +17,5 @@
 // | along with this program; if not, write to the Free Software           |
 // | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
-// | MA 02110-1301 USA.                                                    |
+// | MA 02110-1301 USA                                                     |
 // +-----------------------------------------------------------------------+
 
Index: /extensions/photoWidget/language/templates/plugin.lang.php
===================================================================
--- /extensions/photoWidget/language/templates/plugin.lang.php	(revision 19907)
+++ /extensions/photoWidget/language/templates/plugin.lang.php	(revision 19908)
@@ -3,9 +3,9 @@
 // | photoWidget  - a plugin for Piwigo                                    |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2010-2011 Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2010-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by the Free Software Foundation                             |
 // |                                                                       |
 // | This program is distributed in the hope that it will be useful, but   |
@@ -17,5 +17,5 @@
 // | along with this program; if not, write to the Free Software           |
 // | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
-// | MA 02110-1301 USA.                                                    |
+// | MA 02110-1301 USA                                                     |
 // +-----------------------------------------------------------------------+
 
Index: /extensions/photoWidget/language/tr_TR/index.php
===================================================================
--- /extensions/photoWidget/language/tr_TR/index.php	(revision 19907)
+++ /extensions/photoWidget/language/tr_TR/index.php	(revision 19908)
@@ -1,11 +1,11 @@
 <?php
 // +-----------------------------------------------------------------------+
-// | pwgPhotoWidget  - a plugin for Piwigo                                 |
+// | photoWidget  - a plugin for Piwigo                                    |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2010-2011 Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2010-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by the Free Software Foundation                             |
 // |                                                                       |
 // | This program is distributed in the hope that it will be useful, but   |
@@ -17,5 +17,5 @@
 // | along with this program; if not, write to the Free Software           |
 // | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
-// | MA 02110-1301 USA.                                                    |
+// | MA 02110-1301 USA                                                     |
 // +-----------------------------------------------------------------------+
 
Index: /extensions/photoWidget/language/tr_TR/plugin.lang.php
===================================================================
--- /extensions/photoWidget/language/tr_TR/plugin.lang.php	(revision 19907)
+++ /extensions/photoWidget/language/tr_TR/plugin.lang.php	(revision 19908)
@@ -3,9 +3,9 @@
 // | photoWidget  - a plugin for Piwigo                                    |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2010 Nicolas Roudaire             http://www.nikrou.net  |
+// | Copyright(C) 2010-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by the Free Software Foundation                             |
 // |                                                                       |
 // | This program is distributed in the hope that it will be useful, but   |
@@ -17,5 +17,5 @@
 // | along with this program; if not, write to the Free Software           |
 // | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
-// | MA 02110-1301 USA.                                                    |
+// | MA 02110-1301 USA                                                     |
 // +-----------------------------------------------------------------------+
 
Index: /extensions/photoWidget/language/uk_UA/index.php
===================================================================
--- /extensions/photoWidget/language/uk_UA/index.php	(revision 19907)
+++ /extensions/photoWidget/language/uk_UA/index.php	(revision 19908)
@@ -1,3 +1,24 @@
 <?php
+// +-----------------------------------------------------------------------+
+// | photoWidget  - a plugin for Piwigo                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2010-2013 Nicolas Roudaire        http://www.nikrou.net  |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by the Free Software Foundation                             |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA                                                     |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
 $url = '../';
 header( 'Request-URI: '.$url );
Index: /extensions/photoWidget/language/uk_UA/plugin.lang.php
===================================================================
--- /extensions/photoWidget/language/uk_UA/plugin.lang.php	(revision 19907)
+++ /extensions/photoWidget/language/uk_UA/plugin.lang.php	(revision 19908)
@@ -1,13 +1,11 @@
 <?php
 // +-----------------------------------------------------------------------+
-// | Piwigo - a PHP based photo gallery                                    |
+// | photoWidget  - a plugin for Piwigo                                    |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
-// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
-// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// | Copyright(C) 2010-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by the Free Software Foundation                             |
 // |                                                                       |
 // | This program is distributed in the hope that it will be useful, but   |
@@ -18,7 +16,8 @@
 // | You should have received a copy of the GNU General Public License     |
 // | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA                                                     |
 // +-----------------------------------------------------------------------+
+
 $lang['All categories'] = 'Всі альбоми';
 $lang['severals categories'] = 'декілька ольбомів';
Index: /extensions/photoWidget/main.inc.php
===================================================================
--- /extensions/photoWidget/main.inc.php	(revision 19907)
+++ /extensions/photoWidget/main.inc.php	(revision 19908)
@@ -3,9 +3,9 @@
 // | photoWidget  - a plugin for Piwigo                                    |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2010-2011 Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2010-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by the Free Software Foundation                             |
 // |                                                                       |
 // | This program is distributed in the hope that it will be useful, but   |
@@ -17,10 +17,10 @@
 // | along with this program; if not, write to the Free Software           |
 // | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
-// | MA 02110-1301 USA.                                                    |
+// | MA 02110-1301 USA                                                     |
 // +-----------------------------------------------------------------------+
 
 /*
 Plugin Name: photoWidget
-Version: 0.3.1
+Version: 0.4.0
 Description: add an amazing 3D animation for pictures
 Plugin URI: http://piwigo.org/ext/extension_view.php?eid=370
Index: /extensions/photoWidget/maintain.inc.php
===================================================================
--- /extensions/photoWidget/maintain.inc.php	(revision 19907)
+++ /extensions/photoWidget/maintain.inc.php	(revision 19908)
@@ -3,9 +3,9 @@
 // | photoWidget  - a plugin for Piwigo                                    |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2010-2011 Nicolas Roudaire        http://www.nikrou.net  |
+// | Copyright(C) 2010-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by the Free Software Foundation                             |
 // |                                                                       |
 // | This program is distributed in the hope that it will be useful, but   |
@@ -17,5 +17,5 @@
 // | along with this program; if not, write to the Free Software           |
 // | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
-// | MA 02110-1301 USA.                                                    |
+// | MA 02110-1301 USA                                                     |
 // +-----------------------------------------------------------------------+
 
Index: /extensions/photoWidget/public.php
===================================================================
--- /extensions/photoWidget/public.php	(revision 19907)
+++ /extensions/photoWidget/public.php	(revision 19908)
@@ -3,9 +3,9 @@
 // | photoWidget  - a plugin for Piwigo                                    |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2010 Nicolas Roudaire             http://www.nikrou.net  |
+// | Copyright(C) 2010-2013 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by the Free Software Foundation                             |
 // |                                                                       |
 // | This program is distributed in the hope that it will be useful, but   |
@@ -17,5 +17,5 @@
 // | along with this program; if not, write to the Free Software           |
 // | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
-// | MA 02110-1301 USA.                                                    |
+// | MA 02110-1301 USA                                                     |
 // +-----------------------------------------------------------------------+
 
@@ -25,10 +25,12 @@
 
 add_event_handler('loc_begin_index_category_thumbnails', 
-		  array($public_content, 'loc_begin_index_category_thumbnails')
-  );
+                  array($public_content, 'loc_begin_index_category_thumbnails')
+                  );
 
 add_event_handler('loc_begin_index_thumbnails', 
-		  array($public_content, 'loc_begin_index_thumbnails')
-  );
-add_event_handler('loc_begin_index', array($public_content, 'loc_begin_index'));
+                  array($public_content, 'loc_begin_index_thumbnails')
+                  );
+add_event_handler('loc_begin_index', 
+                  array($public_content, 'loc_begin_index')
+                  );
 ?>
Index: /extensions/photoWidget/template/admin.tpl
===================================================================
--- /extensions/photoWidget/template/admin.tpl	(revision 19907)
+++ /extensions/photoWidget/template/admin.tpl	(revision 19908)
@@ -1,5 +1,7 @@
 {combine_css path="$PWG_PHOTO_WIDGET_PLUGIN_CSS/admin.css"}
+{combine_css path="themes/default/js/plugins/chosen.css"}
 {combine_css path="$PWG_PHOTO_WIDGET_PLUGIN_CSS/colorpicker.css"}
 
+{combine_script id="jquery.chosen" load="footer" path="themes/default/js/plugins/chosen.jquery.min.js"}
 {combine_script id="colorpicker" require="jquery" path="$PWG_PHOTO_WIDGET_PLUGIN_JS/colorpicker.js"}
 
@@ -7,31 +9,40 @@
 {literal}
 $(function() {
-$('input[name=pw_all_categories]').change(function() {
-if ($(this).attr('value')==0) {
-$('#pw-select-categories').removeClass('hide');
-} else {
-$('#pw-select-categories').addClass('hide');
-}
+    $('input.pwg-picker')
+	.each(function() {
+	    if ($(this).val() !== undefined) {
+		$(this).css('background-color', '#'+$(this).val());
+	    }
+	})
+	    .ColorPicker({
+		onSubmit: function(hsb, hex, rgb, el) {
+		    $(el).val(hex);
+		    $(el).ColorPickerHide();
+		    $(el).css('background-color', '#'+hex);
+		},
+		onBeforeShow: function () {
+		    $(this).ColorPickerSetColor(this.value);
+		}
+	    })
+	.bind('keyup', function(){
+	    $(this).ColorPickerSetColor(this.value);
+	});
 });
+{/literal}
+{/footer_script}
 
-$('input.pwg-picker')
-  .each(function() {
-      if ($(this).val() !== undefined) {
-        $(this).css('background-color', '#'+$(this).val());
-      }
-    })
-  .ColorPicker({
-    onSubmit: function(hsb, hex, rgb, el) {
-        $(el).val(hex);
-        $(el).ColorPickerHide();
-        $(el).css('background-color', '#'+hex);
-      },
-    onBeforeShow: function () {
-        $(this).ColorPickerSetColor(this.value);
-      }
-})
-.bind('keyup', function(){
-	$(this).ColorPickerSetColor(this.value);
-});
+
+{footer_script require="jquery.chosen"} 
+{literal}
+$(function() {
+    $('input[name=pw_all_categories]').change(function() {
+	if ($(this).attr('value')==0) {
+	    $('#pw-select-categories').removeClass('hide');
+	} else {
+	    $('#pw-select-categories').addClass('hide');
+	}
+    });
+
+    $('#pw-select-categories select').chosen();
 });
 {/literal}
@@ -59,7 +70,7 @@
   <p class="field pw-categories{if $PW_ALL_CATEGORIES==1} hide{/if}" id="pw-select-categories">
     <label>{'Applicable categorie(s)'|@translate}</label>
-    <select name="pw_categories[]" multiple="multiple" size="{$pw_categories|@count|@max:3}">
+    <select data-placeholder="{'Applicable categorie(s)'|@translate}" name="pw_categories[]" multiple="multiple" size="{$pw_categories|@count|@max:3}">
       <option value="__none__"></option>
-      {html_options options=$ALL_CATEGORIES selected=$PW_CATEGORIES}
+      {html_options options=$all_categories selected=$all_categories_selected}
     </select>
   </p>
Index: /extensions/photoWidget/template/liste.xml
===================================================================
--- /extensions/photoWidget/template/liste.xml	(revision 19907)
+++ /extensions/photoWidget/template/liste.xml	(revision 19908)
@@ -3,5 +3,5 @@
   <?php
     foreach ($images as $id => $image) {
-    printf('<image href="%s">%s</image>', $image['url'], $image['path']);
+    printf('<image href="%s">%s</image>', $image['url'], DerivativeImage::url(IMG_SQUARE, new SrcImage($image)));
     }
   ?>
